<?php
/*-------------------------
Autor: Delmar Lopez
Web: www.softwys.com
Mail: softwysop@gmail.com
---------------------------*/
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
$session_id  = session_id();
$numero_mesa = $_SESSION['numero_mesa'];
if (isset($_POST['id'])) {$id = $_POST['id'];}
if (isset($_POST['cantidad'])) {$cantidad = $_POST['cantidad'];}
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
//Archivo de funciones PHP
require_once "../funciones.php";

if (!empty($id) and !empty($cantidad)) {
    $id_producto  = get_row('productos', 'id_producto', 'codigo_producto', $id);
    $precio_venta = get_row('productos', 'valor1_producto', 'id_producto', $id_producto);

    // consulta para comparar el stock con la cantidad resibida
    $query = mysqli_query($conexion, "select stock_producto, inv_producto from productos where id_producto = '$id_producto'");
    $rw    = mysqli_fetch_array($query);
    $stock = $rw['stock_producto'];
    $inv   = $rw['inv_producto'];

    //Comprobamos si ya agregamos un producto a la tabla tmp_compra
    $comprobar = mysqli_query($conexion, "select * from tmp_mesa, productos where productos.id_producto = tmp_mesa.producto_tmp and  tmp_mesa.producto_tmp='" . $id_producto . "' and tmp_mesa.mesa_tmp='" . $numero_mesa . "'");

    if ($row = mysqli_fetch_array($comprobar)) {
        $cant     = $row['cant_tmp'] + $cantidad;
        $cant_new = $row['new_cant'] + $cantidad;
        // condicion si el stock e menor que la cantidad requerida
        if ($cant > $row['stock_producto'] and $inv == 0) {
            echo "<script>swal('LA CANTIDAD SUPERA AL STOCK!', 'INTENTAR NUEVAMENTE', 'error')
            $('#resultados').load('../ajax/agregar_mesa_tmp.php');
            </script>";
            exit;
        } else {

            $sql          = "UPDATE tmp_mesa SET cant_tmp='" . $cant . "', status_tmp='0', new_cant='" . $cant_new . "' WHERE producto_tmp='" . $id_producto . "'  and mesa_tmp='" . $numero_mesa . "'";
            $query_update = mysqli_query($conexion, $sql);
            echo "<script>
            $('#widgets').load('../ajax/carga_widgets3.php');
            </script>";
        }
        // fin codicion cantaidad

    } else {
        // condicion si el stock e menor que la cantidad requerida
        if ($cantidad > $stock and $inv == 0) {
            echo "<script>swal('LA CANTIDAD SUPERA AL STOCK!', 'INTENTAR NUEVAMENTE', 'error')
            $('#resultados').load('../ajax/agregar_mesa_tmp.php');
            </script>";
            exit;
        } else {

            $insert_tmp = mysqli_query($conexion, "INSERT INTO tmp_mesa (mesa_tmp,producto_tmp,cant_tmp,precio_tmp,desc_tmp,session_id)
                VALUES ('$numero_mesa','$id_producto','$cantidad','$precio_venta','0','$session_id')");
            echo "<script>
            $('#widgets').load('../ajax/carga_widgets3.php');
            </script>";

        }
        // fin codicion cantaidad
    }

}
if (isset($_GET['id'])) //codigo elimina un elemento del array
{
    $id_tmp = intval($_GET['id']);
    $delete = mysqli_query($conexion, "DELETE FROM tmp_mesa WHERE id_tmp='" . $id_tmp . "'");
    echo "<script>
    $('#widgets').load('../ajax/carga_widgets3.php');
    $('#carga_totales').load('../ajax/cuentas_tmp_mesas.php');
    $.Notification.notify('error','bottom center','EXITO!', 'PRODUCTO ELIMINADO CORRECTAMENTE')
    </script>";
}
$simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
$pv             = get_row('perfil', 'precio_venta', 'id_perfil', 1);
if ($pv == 0) {
    $ok = 'disabled';
} else {
    $ok = '';
}
?>
<div class="row">
    <?php
$nums           = 1;
$impuesto       = get_row('perfil', 'impuesto', 'id_perfil', 1);
$sumador_total  = 0;
$sum_total      = 0;
$t_iva          = 0;
$total_impuesto = 0;
$subtotal       = 0;
$sql            = mysqli_query($conexion, "select * from productos, tmp_mesa where productos.id_producto=tmp_mesa.producto_tmp and tmp_mesa.mesa_tmp='" . $numero_mesa . "'");
while ($row = mysqli_fetch_array($sql)) {
    $id_tmp          = $row["id_tmp"];
    $id_producto     = $row['producto_tmp'];
    $codigo_producto = $row['codigo_producto'];
    $cantidad        = $row['cant_tmp'];
    $desc_tmp        = $row['desc_tmp'];
    $nombre_producto = $row['nombre_producto'];
    $image_path      = $row['image_path'];
    // control del impuesto por productos.
    $precio_venta   = $row['precio_tmp'];
    $precio_venta_f = number_format($precio_venta, 2); //Formateo variables
    $precio_venta_r = str_replace(",", "", $precio_venta_f); //Reemplazo las comas
    $precio_total   = $precio_venta_r * $cantidad;
    $final_items    = rebajas($precio_total, $desc_tmp); //Aplicando el descuento
    /*--------------------------------------------------------------------------------*/
    $precio_total_f = number_format($final_items, 2); //Precio total formateado
    $precio_total_r = str_replace(",", "", $precio_total_f); //Reemplazo las comas
    $sumador_total += $precio_total_r; //Sumador
    $subtotal = number_format($sumador_total, 2, '.', '');
    if ($row['iva_producto'] == 1) {
        $total_iva = iva($precio_venta);
    } else {
        $total_iva = 0;
    }
    $total_impuesto += rebajas($total_iva, $desc_tmp) * $cantidad;
    ?>
    <input type="hidden" value="<?php echo $nombre_producto; ?>" id="nombre<?php echo $id_tmp; ?>">
    <input type="hidden" value="<?php echo $cantidad; ?>" id="cantidad<?php echo $id_tmp; ?>">
    <input type="hidden" value="<?php echo $desc_tmp; ?>" id="descuento<?php echo $id_tmp; ?>">
    <input type="hidden" value="<?php echo $precio_venta; ?>" id="precio<?php echo $id_tmp; ?>">
    <input type="hidden" value="<?php echo $id_tmp; ?>" id="id_tmp<?php echo $id_tmp; ?>">

    <div class="col-lg-4 col-md-6">
        <button type="button" class="close" data-dismiss="modal" onclick="eliminar('<?php echo $id_tmp ?>')" aria-hidden="true" title="Eliminar">X</button>
        <a href="#" data-toggle="modal" data-target="#editarProd" onclick="obtener_datos('<?php echo $id_tmp; ?>');">
            <div class="widget-simple text-center card-box" style="background-color: #196F3D;">
                <?php
if ($image_path == null) {
        echo '<img src="../../img/productos/default.jpg" width="75" class="img-fluid img-thumbnail">';
    } else {
        echo '<img src="' . $image_path . '" class="img-fluid img-thumbnail" width="75">';
    }

    ?>
                <h5 class="text-white font-bold mt-0"><?php echo $nombre_producto; ?> <span style="text-align: right;font-size: 18px;" class="badge badge-pill badge-danger" ><?php echo $cantidad; ?></span></h5>
                <p class="text-white mb-0 font-bold" style="font-size: 20px;"><?php echo $simbolo_moneda . ' ' . number_format($precio_venta, 2); ?></p>
                <div class="text-right">
                    <p class="text-white mb-0 font-bold" style="text-align: right;font-size: 18px;">Total: <?php echo $simbolo_moneda . ' ' . number_format($final_items, 2); ?></p>
                </div>

            </div>
        </a>
    </div>
    <div class="modal fade" id="detalle<?php echo $id_producto; ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="myModalLabel"><i class='fa fa-edit'></i> DETALLE DE PRODUCTO</h4>
                </div>
                <div class="modal-body" align="center">
                    <strong><h3><?php echo $nombre_producto; ?></h3></strong>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="mod_nombre" class="control-label">CANTIDAD:</label>
                                <input style=" background-color:#A9DFBF; border-radius: 5px; border: 1px solid #39c; text-align: center" type="text" class="form-control txt_cant" value="<?php echo $cantidad; ?>" id="<?php echo $id_tmp; ?>">
                                <input type="hidden" name="id" value="<?php echo $id_producto; ?>">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="mod_nombre" class="control-label">PRECIO UNITARIO:</label>
                                <select id="<?php echo $id_tmp; ?>" class="form-control employee_id" <?php echo $ok; ?>>
                                    <?php
$sql1 = mysqli_query($conexion, "select * from productos where id_producto='" . $id_producto . "'");
    while ($rw1 = mysqli_fetch_array($sql1)) {
        ?>
                                        <option selected disabled value="<?php echo $precio_venta ?>"><?php echo number_format($precio_venta, 2); ?></option>
                                        <option value="<?php echo $rw1['valor1_producto'] ?>">PV <?php echo number_format($rw1['valor1_producto'], 2); ?></option>
                                        <option value="<?php echo $rw1['valor2_producto'] ?>">PM <?php echo number_format($rw1['valor2_producto'], 2); ?></option>
                                        <option value="<?php echo $rw1['valor3_producto'] ?>">PE <?php echo number_format($rw1['valor3_producto'], 2); ?></option>
                                        <?php
}
    ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="mod_nombre" class="control-label">DESCUENTO:</label>
                                <input style=" background-color:#F7DC6F; border-radius: 5px; border: 1px solid #39c; text-align: center;" type="text" class="form-control txt_desc" value="<?php echo $desc_tmp; ?>" id="<?php echo $id_tmp; ?>">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <button type="button" id="imprimir2" class="btn btn-danger btn-block btn-lg waves-effect waves-light">
                                    <a href="#" onclick="eliminar('<?php echo $id_tmp ?>')" style='text-decoration:none;color:#FFFFFF;'> <span class="fa fa-trash"></span> Eliminar Producto</a>
                                </button>
                            </div>
                        </div>

                    </div>


                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default waves-effect waves-light" data-dismiss="modal">Cerrar</button>
                </div>
            </div>
        </div>
    </div>
    <?php
}
$total_factura = $subtotal + $total_impuesto;

?>

</div>
<script>
    $(document).ready(function () {
        $('.txt_desc').off('blur');
        $('.txt_desc').on('blur',function(event){
            var keycode = (event.keyCode ? event.keyCode : event.which);
        // if(keycode == '13'){
            id_tmp = $(this).attr("id");
            desc = $(this).val();
             //Inicia validacion
             if (isNaN(desc)) {
                $.Notification.notify('error','bottom center','ERROR', 'DIGITAR UN DESCUENTO VALIDO')
                $(this).focus();
                return false;
            }
    //Fin validacion
    $.ajax({
        type: "POST",
        url: "../ajax/editar_desc_mesa.php",
        data: "id_tmp=" + id_tmp + "&desc=" + desc,
        success: function(datos) {
         $("#resultados").load("../ajax/agregar_mesa_tmp.php");
         $("#totalg").load("../ajax/carga_total.php");
         $.Notification.notify('success','bottom center','EXITO!', 'DESCUENTO ACTUALIZADO CORRECTAMENTE')
         $("#carga_totales").load("../ajax/cuentas_tmp_mesas.php");
     }
 });
        // }
    });

        $(".employee_id").on("change", function(event) {
         id_tmp = $(this).attr("id");
         precio = $(this).val();
         $.ajax({
            type: "POST",
            url: "../ajax/editar_precio_mesa.php",
            data: "id_tmp=" + id_tmp + "&precio=" + precio,
            success: function(datos) {
               $("#resultados").load("../ajax/agregar_mesa_tmp.php");
               $("#totalg").load("../ajax/carga_total.php");
               $.Notification.notify('success','bottom center','EXITO!', 'PRECIO ACTUALIZADO CORRECTAMENTE')
               $("#carga_totales").load("../ajax/cuentas_tmp_mesas.php");

           }
       });
     });
        $(".txt_cant").on("blur", function(event) {
           id_tmp = $(this).attr("id");
           cant = $(this).val();
           //Inicia validacion
           if (isNaN(cant)) {
            $.Notification.notify('error','bottom center','ERROR', 'DIGITAR LA CANTIDAD')
            $(this).focus();
            return false;
        }
        $.ajax({
           type: "POST",
           url: "../ajax/editar_cantidad_mesa.php",
           data: "id_tmp=" + id_tmp + "&cant=" + cant,
           success: function(datos) {
            $('#detalle').modal('hide');//CIERRA LA MODAL
            $("#resultados").load("../ajax/agregar_mesa_tmp.php");
            $("#totalg").load("../ajax/carga_total.php");
            $.Notification.notify('success','bottom center','EXITO!', 'CANTIDAD ACTUALIZADA CORRECTAMENTE')
            $("#carga_totales").load("../ajax/cuentas_tmp_mesas.php");
        }
    });
    });

    });
</script>

